/* XL Device :1200px. */
@media (min-width: 1200px) and (max-width: 1399px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1140px;
    }

    .site-menu ul li a {
        color: #fff;
        font-size: 16px;
        font-weight: normal;
        text-transform: uppercase;
        transition: .3s;
    }

    .site-menu ul li {
        display: inline-block;
        padding: 0px 16px;
        position: relative;
    }

    .site-logo img {
        width: 185px;
    }

    .hero-area .container {
        max-width: 1140px;
    }

    .hero-area {
        padding-top: 160px;
        padding-bottom: 240px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .tutorial-area .container {
        max-width: 900px;
    }

    .portfolio-area .container {
        max-width: 900px;
    }

    .portfolio-img-blk {
        width: 100%;
        height: 260px;
        position: relative;
    }

    .footer-title h4 {
        margin-bottom: 0;
        color: #f29200;
        font-size: 22px;
        font-weight: 600;
    }

    .footer-menu ul li a {
        font-size: 16px;
        color: #c9c9c9;
        font-weight: normal;
        transition: .3s;
        text-transform: uppercase;
    }


}

/* LG Device :992px. */
@media (min-width: 992px) and (max-width: 1200px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 960px;
    }

    .site-menu ul li a {
        color: #fff;
        font-size: 14px;
        font-weight: normal;
        text-transform: uppercase;
        transition: .3s;
    }

    .site-menu ul li {
        display: inline-block;
        padding: 0px 12px;
        position: relative;
    }

    .site-menu ul li::after {
        position: absolute;
        right: -3px;
        top: 3px;
        width: 2px;
        height: 85%;
        background-color: #fff;
        content: "";
        transform: rotate(22deg);
    }

    .site-logo img {
        width: 145px;
    }

    .hero-area {
        padding-top: 145px;
        padding-bottom: 200px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .hero-title h1 {
        font-size: 40px;
        font-weight: bold;
        color: #fff;
    }

    .hero-title p {
        color: #e5e5e5;
        font-size: 18px;
        margin-bottom: 0;
    }

    .hero-title {
        text-align: center;
        margin-bottom: 70px;
    }

    .hero-box img {
        width: 45px;
        margin-bottom: 7px;
        transition: .3s;
    }

    .hero-box h4 {
        margin-bottom: 0;
        font-size: 24px;
        font-weight: 300;
    }

    .about-title h2 {
        color: #fff;
        font-size: 40px;
        font-weight: bold;
    }

    .about-title p {
        font-size: 16px;
        font-weight: normal;
        color: #fff;
        margin-bottom: 0;
    }

    .service-title h2 {
        font-size: 36px;
        font-weight: bold;
        color: #fff;
        margin-bottom: 0;
    }

    .service-area {
        padding-bottom: 50px;
        margin-top: -110px;
    }

    .service-single-title h4 {
        color: #232323;
        font-size: 18px;
        font-weight: 600;
    }

    .service-content-blk {
        margin-top: 60px;
        padding: 0px 65px;
        text-align: center;
    }

    .tutorial-title h2 {
        color: #232323;
        font-size: 45px;
        font-weight: bold;
    }

    .tutorial-title p {
        color: #555555;
        font-size: 20px;
        font-weight: normal;
    }

    .tutorial-area .container {
        max-width: 700px;
    }

    .portfolio-title h2 {
        font-size: 31px;
        color: #333333;
        font-weight: 600;
        margin-bottom: 5px;
    }

    .portfolio-title p {
        margin-bottom: 0;
        font-size: 17px;
        font-weight: normal;
        color: #1d1c1c;
    }

    .portfolio-title {
        text-align: center;
        margin-bottom: 20px;
    }

    .portfolio-area .container {
        max-width: 800px;
    }

    .owl-prev {
        position: absolute;
        left: -10%;
        top: 50%;
        transform: translateY(-50%);
    }

    .owl-next {
        position: absolute;
        right: -10%;
        top: 50%;
        transform: translateY(-50%);
    }

    .portfolio-img-blk {
        width: 100%;
        height: 270px;
        position: relative;
    }

    .portfolio-content {
        position: absolute;
        left: 0;
        bottom: 20px;
        width: 100%;
        height: 55px;
        background-color: rgba(0, 0, 0, 0.9);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .portfolio-area {
        padding-bottom: 50px;
    }

    .footer-menu ul li a {
        font-size: 14px;
        color: #c9c9c9;
        font-weight: normal;
        transition: .3s;
        text-transform: uppercase;
    }

    .footer-menu ul li {
        margin-bottom: 14px;
    }

    .footer-title {
        margin-bottom: 22px;
    }

    .footer-title h4 {
        margin-bottom: 0;
        color: #f29200;
        font-size: 19px;
        font-weight: 600;
    }

    .footer-btn {
        background-color: #fb2851;
        display: inline-block;
        color: #fff;
        padding: 16px 36px;
        border-radius: 7px;
        margin-top: 24px;
        transition: .3s;
        font-size: 12px;
    }

    .hero-area .container {
        max-width: 900px;
    }

}


/* MD Device :768px. */
@media (min-width: 768px) and (max-width: 991px) {


    .site-menu {
        position: fixed;
        width: 280px;
        left: -100%;
        top: 0;
        height: 100%;
        transition: .3s;
        background: #f29200;
        padding: 25px;
        z-index: 999999999;
    }

    .site-menu ul {
        display: block;
        margin: 40px 0;
    }

    .site-menu ul li a {
        display: block;
        margin: 0;
        padding: 12px 0;
    }

    .site-menu ul li {
        display: block;
    }

    .site-menu ul li a {
        font-size: 18px;
        margin: 0px 12px;
    }

    /**/
    .site-logo {
        position: relative;
    }

    .menu_open {
        position: absolute;
        right: 25px;
        width: 35px;
        height: 35px;
        color: #f29200;
        text-align: center;
        line-height: 35px;
        cursor: pointer;
        top: 23px;
        font-size: 29px;
    }

    .active .site-menu {
        left: 0;
    }

    .overlay {
        position: fixed;
        width: 100%;
        height: 100%;
        background: #000;
        z-index: 9999;
        left: -100%;
        top: 0;
        opacity: .5;
        transition: .4s;
        cursor: pointer;
    }

    .active .overlay {
        left: 0;
    }

    .menu_close {
        width: 40px;
        height: 40px;
        background: #fff;
        display: block;
        text-align: center;
        line-height: 40px;
        margin: -0 auto;
        margin-bottom: 25px;
        color: #f29200;
        position: absolute;
        top: 0;
        right: 0;
        cursor: pointer;
    }

    .menu_close {
        display: block;
    }

    .menu_open {
        display: block;
    }

    .site-logo img {
        width: 160px;
    }

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 720px;
    }

    .site-menu {
        display: block;
    }

    .site-menu ul li::after {
        display: none;
    }

    .site-menu ul li a:hover {
        color: #232323;
    }

    .hero-area {
        padding-top: 145px;
        padding-bottom: 155px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .hero-title h1 {
        font-size: 40px;
        font-weight: bold;
        color: #fff;
    }

    .hero-title p {
        color: #e5e5e5;
        font-size: 18px;
        margin-bottom: 0;
    }

    .hero-title {
        text-align: center;
        margin-bottom: 65px;
    }

    .hero-box {
        padding: 20px;
        border: 1px solid #6b6766;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        text-align: center;
        height: 220px;
        border-radius: 13px;
        width: 100%;
        transition: .3s;
        margin-bottom: 20px;
    }

    .about-title h2 {
        color: #fff;
        font-size: 40px;
        font-weight: bold;
    }

    .about-title p {
        font-size: 18px;
        font-weight: normal;
        color: #fff;
        margin-bottom: 0;
    }

    .service-title h2 {
        font-size: 35px;
        font-weight: bold;
        color: #fff;
        margin-bottom: 0;
    }

    .service-content-blk {
        margin-top: 51px;
        padding: 0px 30px;
        text-align: center;
    }

    .tutorial-title h2 {
        color: #232323;
        font-size: 40px;
        font-weight: bold;
    }

    .tutorial-title p {
        color: #555555;
        font-size: 21px;
        font-weight: normal;
    }

    .tutorial-area .container {
        max-width: 600px;
    }

    .portfolio-title {
        text-align: center;
        margin-bottom: 20px;
    }

    .portfolio-area .container {
        max-width: 650px;
    }

    .owl-prev {
        position: absolute;
        left: -8%;
        top: 50%;
        transform: translateY(-50%);
    }

    .owl-next {
        position: absolute;
        right: -8%;
        top: 50%;
        transform: translateY(-50%);
    }

    .portfolio-img-blk {
        width: 100%;
        height: 245px;
        position: relative;
    }

    .portfolio-area {
        padding-bottom: 45px;
    }

    .footer-menu {
        margin-bottom: 43px;
        text-align: center;
    }

    .footer-social {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .hero-area .container {
        max-width: 700px;
    }


}


/* SM Small Device :320px. */
@media only screen and (min-width: 320px) and (max-width: 767px) {


    .site-menu {
        position: fixed;
        width: 280px;
        left: -100%;
        top: 0;
        height: 100%;
        transition: .3s;
        background: #f29200;
        padding: 25px;
        z-index: 999999999;
    }

    .site-menu ul {
        display: block;
        margin: 40px 0;
    }

    .site-menu ul li a {
        display: block;
        margin: 0;
        padding: 12px 0;
    }

    .site-menu ul li {
        display: block;
    }

    .site-menu ul li a {
        font-size: 18px;
        margin: 0px 12px;
    }

    /**/
    .site-logo {
        position: relative;
    }

    .menu_open {
        position: absolute;
        right: 25px;
        width: 35px;
        height: 35px;
        color: #f29200;
        text-align: center;
        line-height: 35px;
        cursor: pointer;
        top: 23px;
        font-size: 29px;
    }

    .active .site-menu {
        left: 0;
    }

    .overlay {
        position: fixed;
        width: 100%;
        height: 100%;
        background: #000;
        z-index: 9999;
        left: -100%;
        top: 0;
        opacity: .5;
        transition: .4s;
        cursor: pointer;
    }

    .active .overlay {
        left: 0;
    }

    .menu_close {
        width: 40px;
        height: 40px;
        background: #fff;
        display: block;
        text-align: center;
        line-height: 40px;
        margin: -0 auto;
        margin-bottom: 25px;
        color: #f29200;
        position: absolute;
        top: 0;
        right: 0;
        cursor: pointer;
    }

    .menu_close {
        display: block;
    }

    .menu_open {
        display: block;
    }

    .site-logo img {
        width: 160px;
    }

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 720px;
    }

    .site-menu {
        display: block;
    }

    .site-menu ul li::after {
        display: none;
    }

    .site-menu ul li a:hover {
        color: #232323;
    }

    .header-area {
        position: sticky;
        background-color: #000;
        padding: 10px 0px;
        width: 100%;
        left: 0;
        right: 0;
        z-index: 9999;
    }

    .hero-area {
        padding-top: 110px;
        padding-bottom: 100px;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

    .hero-title h1 {
        font-size: 34px;
        font-weight: bold;
        color: #fff;
    }

    .hero-title p {
        color: #e5e5e5;
        font-size: 18px;
        margin-bottom: 0;
    }

    .hero-title {
        text-align: center;
        margin-bottom: 30px;
    }

    .hero-box {
        padding: 20px;
        border: 1px solid #6b6766;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: space-evenly;
        text-align: center;
        height: 220px;
        border-radius: 13px;
        width: 100%;
        transition: .3s;
        margin-bottom: 20px;
    }

    .about-title h2 {
        color: #fff;
        font-size: 35px;
        font-weight: bold;
    }

    .about-title p {
        font-size: 16px;
        font-weight: normal;
        color: #fff;
        margin-bottom: 0;
    }

    .service-title h2 {
        font-size: 26px;
        font-weight: bold;
        color: #fff;
        margin-bottom: 0;
    }

    .service-title {
        text-align: center;
        margin-bottom: 70px;
    }

    .service-box {
        width: 80px;
        height: 56px;
        display: flex;
        align-items: center;
        justify-content: center;
        background-color: #fff;
        border-radius: 10px;
        border: 1px solid #d5d5d5;
        margin-bottom: 16px;
    }

    .service-content-blk {
        margin-top: 29px;
        padding: 0;
        text-align: center;
    }

    .tutorial-title h2 {
        color: #232323;
        font-size: 33px;
        font-weight: bold;
    }

    .tutorial-title p {
        color: #555555;
        font-size: 20px;
        font-weight: normal;
    }

    .tutorial-area::after {
        left: 50%;
        bottom: 25px;
        position: absolute;
        width: 3px;
        height: 63px;
        background-color: #dddfe1;
        content: "";
        transform: translateX(-50%);
    }

    .tutorial-area::before {
        position: absolute;
        left: 50%;
        bottom: 16px;
        transform: translateX(-50%);
        background-color: #f29200;
        content: "";
        width: 15px;
        height: 15px;
        border-radius: 50%;
        z-index: 1;
    }

    .tutorial-area {
        padding-bottom: 89px;
        position: relative;
    }

    .portfolio-title h2 {
        font-size: 24px;
        color: #333333;
        font-weight: 600;
        margin-bottom: 5px;
    }

    .portfolio-title p {
        margin-bottom: 0;
        font-size: 16px;
        font-weight: normal;
        color: #1d1c1c;
    }

    .portfolio-title {
        text-align: center;
        margin-bottom: 5px;
    }

    .portfolio-area .container {
        max-width: 300px;
    }

    .owl-prev {
        position: absolute;
        left: -16%;
        top: 50%;
        transform: translateY(-50%);
    }

    .owl-next {
        position: absolute;
        right: -16%;
        top: 50%;
        transform: translateY(-50%);
    }

    .portfolio-img-blk {
        width: 100%;
        height: 265px;
        position: relative;
    }

    .portfolio-content {
        position: absolute;
        left: 0;
        bottom: 20px;
        width: 100%;
        height: 54px;
        background-color: rgba(0, 0, 0, 0.9);
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .portfolio-area {
        padding-bottom: 30px;
    }

    .footer-menu {
        text-align: center;
        margin-bottom: 30px;
    }

    .footer-social {
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .copy-main-blk {
        text-align: center;
    }
    .about-area {
        padding-bottom: 85px;
    }
    .service-area {
        margin-top: -55px;
    }
    .service-single-title {
        padding-bottom: 15px;
    }



}





/* SM Small Device :550px. */
@media only screen and (min-width: 576px) and (max-width: 767px) {

    .portfolio-area .container {
        max-width: 425px;
    }


}